package com.cloudcross.ssp.back.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.back.model.Campaign;
import com.cloudcross.ssp.base.service.IGenericService;



public interface ICampaignService extends IGenericService<Campaign>{
	public List<Campaign> findByOrderId(Long orderId);
	public long findByName(String name);
	public boolean deleteByID(long id);//通过活动id来查对应的活动
	public List<Campaign> findByStatus(Map<String, Object> paramMap);
	//向t_adgroup里面插入supdated
	public boolean updateUpstatus(List<Long> idList, int status);
	//导出Excel用
	public List<Campaign> findDeliverEffectAnalysis(Map<String, Object> paramMap);
}
